import { ContentTypeEnum } from '/@/enums/httpEnum';
import { VAxios } from '/@/utils/http/axios/Axios';
enum Api {
  getAddress = 'https://restapi.amap.com/v3/geocode/regeo?parameters&key=366b85886fad6f1869ebfc3c41049bf0&radius=1000&extensions=base&location=',
}

const http = new VAxios({
  timeout: 5 * 60 * 1000,
  headers: { 'Content-Type': ContentTypeEnum.JSON },
});

// 逆地理编码 坐标 获取 地址
export function getAddress(params: string) {
  // console.log(params);
  return http.get({ url: Api.getAddress + params });
}
